5.1.1.7. Execute external command
Prev | 5.1.1. Actions that execute behavior | Next

#### 5.1.1.7. Execute external command

- Use this action to run an external script or command during your test.

- To do so you have to specify the directory in which the external command can be found/shall be executed, the name of the executable, the timeout for the command to be executed, optional arguments, optional argument split characters, the expected exit code, the environment in which the command shall be executed, the encoding of the command line and if the executable should use a new environment or not.

- Since we are using the environment "_JAVA_OPTIONS" for starting the AUT, these key and value is removed from the environment of the process which should be executed.

- Parameters:

  - Argument Split Character

  - Arguments

  - Directory

  - Encoding

  - Environment

  - Executable

  - Expected exit code

  - Timeout in Millisecs

  - Use New Environment